Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 187065 - d'n'd of executable file creates empty project
d'n'd of executable file creates empty project
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Project
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Alexander Simon
issues@cnd
69patch1-verified
: USABILITY
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-02 06:42 UTC by Alexander Simon
Modified: 2010-07-07 13:33 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Simon 2010-06-02 06:42:07 UTC
Steps to reproduce:
- d'n'd executable from platform file explorer to IDE editor area.
- Run dialog is started
- dialog by default suggest to create new project
- press run
Actual:
- empty project is created
Expected:
- project with discovered source files should be created (of cause if executable provides debug information)
Comment 1 Alexander Simon 2010-06-02 06:51:23 UTC
fixed, change set:
http://hg.netbeans.org/cnd-main/rev/fe985143c3dc
Comment 2 Quality Engineering 2010-06-03 06:12:29 UTC
Integrated into 'main-golden', will be available in build *201006030001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/178abd641623
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed BZ#187065 d'n'd of executable file creates empty project
- additional fix for right starting of model parsing + progress bar
Comment 3 Alexander Simon 2010-06-03 09:26:20 UTC
additional fix for opening main function in editor :
http://hg.netbeans.org/cnd-main/rev/bda8485123c1
Comment 4 Alexander Simon 2010-06-03 12:08:31 UTC
additional fix for setting right tool collection:
http://hg.netbeans.org/cnd-main/rev/0db1b98cf0e5
Comment 5 Leonid Lenyashin 2010-06-03 12:46:52 UTC
Please think how this feature can be improved even further. Assume you have what you need built into Studio generated binary. What can we do better in that case? How can we improve user experience? It might be something simple like opening a file containing main() automatically or something really complicating like reading entire xref index from binary. Do not limit ourselves with what is available at this moment.
Comment 6 Quality Engineering 2010-06-04 06:06:53 UTC
Integrated into 'main-golden', will be available in build *201006040001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/bda8485123c1
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed BZ#187065 d'n'd of executable file creates empty project
- additional fix for opening main in editor
Comment 7 Quality Engineering 2010-06-05 07:48:09 UTC
Integrated into 'main-golden', will be available in build *201006050001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/dcc020326a35
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed BZ#187065 d'n'd of executable file creates empty project
- fix detecting of tool collection
Comment 8 Alexander Pepin 2010-06-24 19:56:47 UTC
verified in trunk
It's very important for OSS IDE users to have this fixed.
Comment 10 rbalada 2010-06-25 08:55:53 UTC
main #fe985143c3dc transplanted to release691 #ab0fe00ecb77
main #cbcc62bb6312 transplanted to release691 #12a247835c17
main #178abd641623 transplanted to release691 #eb6125b07a24
main #bda8485123c1 transplanted to release691 #870384b87d81
main #0db1b98cf0e5 transplanted to release691 #40a46954ac5a
main #bbd77a1d45f9 transplanted to release691 #8817fb9f9995
main #a9c331972324 transplanted to release691 #18e3c797f636
main #dcc020326a35 transplanted to release691 #8d851b6b4e60
main #74b2aa39e981 transplanted to release691 #b1bde977c5f5
main #c7cd61329d59 transplanted to release691 #d8a24910205f
Comment 11 Alexander Simon 2010-06-28 15:35:23 UTC
Note:
While the bug fixing functionality slightly was changed:
The dialog title was changed from "Run" to "Create Project".
The "Run" button was changed to "Create Project".
Progress bar was added at analyzing binary stage.

As result two bundles were changed:

cnd.makeproject/src/org/netbeans/modules/cnd/makeproject/actions/Bundle.properties

CreateDialogTitle=Create Project
CreateButtonText=Create Project
CreateButtonAD=Create project

cnd.discovery/src/org/netbeans/modules/cnd/discovery/projectimport/Bundle.properties

ImportExecutable.Progress=Analyze binary...
Comment 12 Alexander Pepin 2010-07-07 13:33:31 UTC
verified in 6.9.1 build


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo